import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc/service';

import { Domain } from '../../domain/model';
import { PageParams, Page } from 'app/commons/model';


@Injectable()
export class SensorService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByDomain(domain: Domain, pageParams: PageParams): Observable<Page> {
    return this.rpcService.call('SensorService.readAllByDomain', domain, pageParams);
  }


}
